petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetTree

get the tree that describes the hierarchy of non-conforming mesh points. Collective on dm

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTree(DM dm, PetscSection *parentSection, PetscInt *parents[], PetscInt *childIDs[], PetscSection *childSection, PetscInt *children[])

### Input Parameters

dm -the DMPlex object

### Output Parameters

| parentSection | - a section describing the tree: a point has a parent if it has 1 dof in the section; the section offset indexes the parent and childID list
| parents | - a list of the point parents
| childIDs | - identifies the relationship of the child point to the parent point; if there is a reference tree, then the child corresponds to the point in the reference tree with index childID
| childSection | - the inverse of the parent section
| children | - a list of the point children

### See Also

DMPlexSetTree(), DMPlexSetReferenceTree(), DMPlexSetAnchors(), DMPlexGetTreeParent(), DMPlexGetTreeChildren()

### Level

intermediate

### Location

src/dm/impls/plex/plextree.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages